Subject: [netmod] Susan Hares review of NETMOD documents

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 5 Sep 2013 07:25:08 +0200

Hi,

Susan Hares <[email-masked]> reviewed the WG documents last called
before the last IETF. This is also an OPS-DIR review. Below are
Susan's comments. We need to decide which ones need an action.

/js

---8<---8<---

Review of the documents below: 

Overall comments: 
1. Nice set of document that have a clear logical format.
2. Editorial only:
	Please pick one use for RFC's either "RFCxxxx: blah" or RFCXXX -
blah".
                Then all to all document in all spots.  Otherwise these
differ irrationally. 
 
3. technical/editorial: draft-ietf-netmod-interfaces-cfg-12 

When you have "mandatory true:" versus "default true" (p. 15), is this
defined in another document?
If so can you put some reference to it the text.  I kept wondering why is
this here. 

4. Technical/Editorial: draft-ietf-netmod-system-mgmt-08

When you have rpc functions, it would be nice to have them collected
Into a summary page like the variables:
	p. 7 +ro current-datetime
                       + ro boot-date-time?
 
Has the following RPCs 
	P 28 rpc set-current-datetime  
                        rpc-system-restart 
                        rpc-system-shutdown

5. Technical comment: draft-ietf-netmod-iana-if-type-07
          (see RFC comment) 
          1st -Gather Deprecated to single comment: #1, #11, #62 
                         Obsolete to single comment: #19, 117
           This is good for long-term support by IANA and IESG. 
          
         2nd - Determine if there is a difference between deprecated and
obsoleted. 

    Question: Does DS1-MIB have a number (IEEE or IETF)?  

6. Draft-ietf-netmod-iana-timezones-00

     Editorial only: A little more explanation why there are Michigan---
most locations" 
     And then specific locations may be in order in section 1.  Otherwise
you are simply 
    Scribing text files without benefit.  A few minutes will help the next
IANA person.

---8<---8<---

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Martin Bjorklund <[email-masked]>
Date: Thu, 05 Sep 2013 09:56:25 +0200 (CEST)

Hi,

Comments inline.

>                 Then all to all document in all spots.  Otherwise these

I found two of these in the system draft, and fixed them.
Specifically:

OLD:

      reference
        "RFC 3418 - Management Information Base (MIB) for the
                    Simple Network Management Protocol (SNMP)
                    SNMPv2-MIB.sysContact";

NEW:

      reference
        "RFC 3418: Management Information Base (MIB) for the
                   Simple Network Management Protocol (SNMP)
                   SNMPv2-MIB.sysContact";

Did I miss any?

> If so can you put some reference to it the text.  I kept wondering why is

"mandatory" and "default" are YANG keywords, with very precise
semantics, defined in RFC 6020.

> 	P 28 rpc set-current-datetime  

Good idea, I have added such a summary listing.

>            This is good for long-term support by IANA and IESG. 

I am not sure what you propose.  All values are listed in the order
they occur in the registry, just like in the corresponding MIB.

>          2nd - Determine if there is a difference between deprecated and

Yes there is; YANG has the same interpration of these terms as SMIv2.

>     Question: Does DS1-MIB have a number (IEEE or IETF)?  

I am not sure what you mean?

>      Editorial only: A little more explanation why there are Michigan---

I am not the editor of this document, but this text is copied verbatim
from IANA's timezone database.

>     Scribing text files without benefit.  A few minutes will help the next

I am not sure what the suggestion is?

/martin

---

From: "ietfdbh" <[email-masked]>
Date: Thu, 5 Sep 2013 12:55:21 -0400

Hi Martin,

I think Sue wants a reference for DS1-MIB in the g703at2mb enum.

You have a reference clause in 2 of the 3 mentions of ds1-mib in the
description clause, such as
         enum "ds1" {
           value 18;
           description
             "DS1-MIB";
           reference
             "RFC 4805 - Definitions of Managed Objects for t
                         DS1, J1, E1, DS2, and E2 Interface Types";
         }

but not in this one:
         enum "g703at2mb" {
           value 67;
           status obsolete;
           description
             "Obsolete see DS1-MIB";
         }

Looking at this raised a question for me:
The description clause for enum "ds1" is "DS1-MIB".
"DS1-MIB" is not a description of a ds1 interface.
I recommend changing the description to "see DS1-MIB."

David Harrington
[email-masked]
+1-603-828-1401

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Martin Bjorklund
>

---

From: Martin Bjorklund <[email-masked]>
Date: Thu, 05 Sep 2013 19:21:34 +0200 (CEST)

Hi,

> I recommend changing the description to "see DS1-MIB."

Ok.  These descriptions are copied verbatim from the IANA registry,
and I am not sure it is a good idea to change the text in the YANG
serialization of the registry.  I do think it would be good with
better descriptions, but they should probably be added to the
IANA registry (and then of course copied to the YANG module).

/martin

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 6 Sep 2013 08:18:21 +0200

Susan,

this YANG module is a YANG serialization of the registry, which is the
primary source of information. All of this will be maintained by IANA.
If some data is wrong or imprecise, it really needs to fixed in the
primary source, the IANA registry. In this case, I am behind Martin
since this is not derivative work that will have a life on its own.

/js

On Thu, Sep 05, 2013 at 01:45:03PM -0400, Susan Hares wrote:
> Martin:
> 
> This is not a process message, but a technical review.  
> 
> As I have told many of my co-workers, It does not matter that you copied it.
> If your name is on the RFC, you must know if it is right or wrong. 
> 
> On IANA data: 
> I know that during the review of your document that IANA tries to find any
> past errors.  IANA is careful and welcomes knowledge from the community
> about errors.  
> 
> During your review, you should inform IANA  of any considerations such as
> errors.  As a person doing OPS-DIR review, I believe that this portion of
> the record is inaccurate or imprecise.  
> 
> Does "DS1-MIB" refer toDS1-MIB is: RFC 4805, RFC3895 or RFC2495 or something
> else. 
> 
> An example of something else is: 
> Online: http://www.simpleweb.org/ietf/mibs/modules/IETF/txt/DS1-MIB
> 
> --------------
> RFC
> 
> DS1-MIB DEFINITIONS ::= BEGIN
> 
> IMPORTS
>      MODULE-IDENTITY, OBJECT-TYPE,
>      NOTIFICATION-TYPE, transmission
>      FROM SNMPv2-SMI         -- [RFC2578]
>      DisplayString, TimeStamp, TruthValue
>      FROM SNMPv2-TC          -- [RFC2579]
>      MODULE-COMPLIANCE, OBJECT-GROUP,
>      NOTIFICATION-GROUP
>      FROM SNMPv2-CONF        -- [RFC2580]
>      InterfaceIndex, ifIndex
>      FROM IF-MIB             -- [RFC2863]
>      PerfCurrentCount, PerfIntervalCount,
>      PerfTotalCount
>      FROM PerfHist-TC-MIB;   -- [RFC3593]
> 
> ds1 MODULE-IDENTITY
>     LAST-UPDATED "200703050000Z"
>     ORGANIZATION "IETF AToM MIB Working Group"
> ==========
> 
> Please attend to this to provide a better legacy than we currently have on
> these definitions. 
> 
> Sue 
> 
> 
> From: Martin Bjorklund [mailto:[email-masked]] 
> Sent: Thursday, September 05, 2013 1:22 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: [netmod] Susan Hares review of NETMOD documents
> 
> Hi,
> 
> Ok.  These descriptions are copied verbatim from the IANA registry, and I am
> not sure it is a good idea to change the text in the YANG serialization of
> the registry.  I do think it would be good with better descriptions, but
> they should probably be added to the IANA registry (and then of course
> copied to the YANG module).
> 
> 
> /martin
>

---

From: "Susan Hares" <[email-masked]>
Date: Thu, 5 Sep 2013 13:45:03 -0400

Martin:

On IANA data: 

--------------
RFC

IMPORTS

ds1 MODULE-IDENTITY

Sue 

-----Original Message-----
From: Martin Bjorklund [mailto:[email-masked]] 
Sent: Thursday, September 05, 2013 1:22 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [netmod] Susan Hares review of NETMOD documents

Hi,

/martin

---

From: "ietfdbh" <[email-masked]>
Date: Fri, 6 Sep 2013 09:05:56 -0400

+1

David Harrington
[email-masked]
+1-603-828-1401

> From: Juergen Schoenwaelder [mailto:j.schoenwaelder@jacobs-
> university.de]
> Sent: Friday, September 06, 2013 2:18 AM
> To: Susan Hares
> Cc: 'Martin Bjorklund'; [email-masked]; [email-masked];
> [email-masked]
> > Ok.  These descriptions are copied verbatim from the IANA registry, and
I
> am